- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# dirent Struct Reference

`#include <ufs.h>`

## Data Fields
__uint32_t | d_fileno
char | d_name [255+1]
__uint8_t | d_namlen
__uint16_t | d_reclen
__uint8_t | d_type

## Detailed Description

Definition at line 112 of file ufs.h.

## Field Documentation

__uint32_t dirent::d_fileno

Definition at line 113 of file ufs.h.

Referenced by fsfind().

char dirent::d_name[255+1]

Definition at line 117 of file ufs.h.

Referenced by fsfind().

__uint8_t dirent::d_namlen

Definition at line 116 of file ufs.h.

__uint16_t dirent::d_reclen

Definition at line 114 of file ufs.h.

Referenced by fsfind().

__uint8_t dirent::d_type

Definition at line 115 of file ufs.h.

Referenced by fsfind().

The documentation for this struct was generated from the following file:

- src/sys/include/ufs/ufs.h